# Class ExtendedAccessLogValve.TimeElement

java.lang.Object
org.apache.catalina.valves.ExtendedAccessLogValve.TimeElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `ExtendedAccessLogValve`

protected static class ExtendedAccessLogValve.TimeElement extends Object implements AbstractAccessLogValve.AccessLogElement

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TimeElement()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeElement

protected TimeElement()

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`